This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 912833 - Review Request: php-channel-dropbox-php - Adds the Dropbox-PHP channel to PEAR
Review Request: php-channel-dropbox-php - Adds the Dropbox-PHP channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 912834
  Show dependency treegraph
 
Reported: 2013-02-19 14:31 EST by Gregor Tätzner
Modified: 2014-11-01 04:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-27 16:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
shawn: fedora‑review+
opensource: fedora‑cvs+


Attachments (Terms of Use)
fedora-review (5.63 KB, text/plain)
2013-03-05 13:36 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Gregor Tätzner 2013-02-19 14:31:37 EST
Spec URL: http://brummbq.fedorapeople.org/php-channel-dropbox-php.spec
SRPM URL: http://brummbq.fedorapeople.org/php-channel-dropbox-php-1.3-1.fc17.src.rpm
Description: This package adds the Dropbox-PHP channel which allows PEAR packages
from this channel to be installed.
Fedora Account System Username: brummbq
Comment 1 Shawn Iwinski 2013-02-23 17:12:20 EST
Please use "%{name}.xml" instead of "%{channelname}.xml".
Comment 2 Shawn Iwinski 2013-02-24 00:27:25 EST
Joseph -- Do you still plan on doing this review? If not, I can take it.
Comment 3 Gregor Tätzner 2013-02-27 12:06:34 EST
resetting assignee - Shawn you can take it if you want
Comment 4 Shawn Iwinski 2013-02-27 13:30:35 EST
Gregor -- Please fix comment #1 and I will review as soon as I can.
Comment 6 Shawn Iwinski 2013-02-27 18:30:30 EST
Thanks for the quick update Gregor!  Unfortunately a few more changes are needed (sorry I did not see them before).

* MUST: Change "%global channelname pear.dropbox-php.org" to "%global channelname pear.dropbox-php.com". You have the correct hostname in Source0, but not in your channelname variable.

* COULD: Change "Source0: http://pear.dropbox-php.com/channel.xml" to "Source0: http://%{channelname}/channel.xml"

* MUST: Change "BuildRequires:  php-pear >= 1:1.4.9-1.2" to "BuildRequires: php-pear(PEAR)".  Always use the virtual provide.

* MUST: Change "%{__pear} channel-delete %{name}" to "%{__pear} channel-delete %{channelname}".  The PEAR command syntax is "pear channel-delete <channel name>" so you must use your channel name.
Comment 7 Shawn Iwinski 2013-02-27 18:59:35 EST
Remi -- I know the guideline is to use ChannelAlias, but in this case, I believe using "dropbox" (php-channel-dropbox) instead of "dropbox-php" (php-channel-dropbox-php) would be better.  I know they are "guidelines" and not "laws" but I wanted to check with you.
Comment 8 Joseph Marrero 2013-02-27 19:41:23 EST
sorry for the lack of response, been assigned some extra work I was not expecting, Iwinski, it is great that you took it :)
Comment 9 Gregor Tätzner 2013-02-28 02:38:04 EST
Spec URL: http://brummbq.fedorapeople.org/php-channel-dropbox-php.spec
SRPM URL: http://brummbq.fedorapeople.org/php-channel-dropbox-php-1.3-3.fc17.src.rpm

I'm fine with channel 'dropbox-php'. At least thats the official alias and name of the main library. There exists also another dropbox sdk, called just 'dropbox' https://github.com/BenTheDesigner/Dropbox To prevent name conflicts in future it would be also a good idea to not change alias.
Comment 10 Shawn Iwinski 2013-03-05 13:36:34 EST
Created attachment 705587 [details]
fedora-review

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 912833
Comment 11 Shawn Iwinski 2013-03-05 13:45:41 EST
No blockers.  Please let me know if you need any help with setting up the repo, Koji, or Bodhi.

===== APPROVED =====
Comment 12 Gregor Tätzner 2013-03-08 13:18:47 EST
New Package SCM Request
=======================
Package Name: php-channel-dropbox-php
Short Description: Adds the Dropbox-PHP channel to PEAR
Owners: brummbq
Branches: f17 f18 el6
InitialCC:
Comment 13 Jon Ciesla 2013-03-08 13:28:39 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-03-09 05:44:33 EST
php-dropbox-php-Dropbox-1.0.0-4.fc18, php-channel-dropbox-php-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-dropbox-php-Dropbox-1.0.0-4.fc18,php-channel-dropbox-php-1.3-3.fc18
Comment 15 Fedora Update System 2013-03-09 19:53:45 EST
php-dropbox-php-Dropbox-1.0.0-4.fc18, php-channel-dropbox-php-1.3-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-03-27 16:35:52 EDT
php-dropbox-php-Dropbox-1.0.0-4.fc18, php-channel-dropbox-php-1.3-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Shawn Iwinski 2014-10-30 16:32:36 EDT
Package Change Request
======================
Package Name: php-channel-dropbox-php
New Branches: epel7
Owners: siwinski
InitialCC:
Comment 18 Till Maas 2014-11-01 04:31:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.